Bug 2023743 - Drop nsswitch.conf scriptlet from spec file
Summary: Drop nsswitch.conf scriptlet from spec file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Březina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2019052
TreeView+ depends on / blocked
 
Reported: 2021-11-16 12:27 UTC by Pavel Březina
Modified: 2021-12-13 12:26 UTC (History)
11 users (show)

Fixed In Version: systemd-250~rc1-3.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-13 12:26:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Pavel Březina 2021-11-16 12:27:57 UTC
Users are now expected to use authselect to configure the system and packages should no longer support non-authselect configurations.

Fedora Change Page:
https://fedoraproject.org/wiki/Changes/Make_Authselect_Mandatory

As part of this change, systemd should drop the nsswitch.conf related scripts from spec file. Resolved and systemd nss modules are already enabled by default in authselect configuration.

I will prepare a pull request and coordinate a Fedora build.

Comment 1 Fedora Update System 2021-12-11 13:27:34 UTC
FEDORA-2021-c2b61f2725 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c2b61f2725

Comment 2 Fedora Update System 2021-12-13 12:26:07 UTC
FEDORA-2021-c2b61f2725 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.